Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030639
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorN/A2015-08-24 09:342016-03-17 10:56
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritylowResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisiondaaa42c6f9e8
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030639: Update sampledata for new release

DescriptionRun regular update in sampledata for each release
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0084773)
AtulOpenbravo (developer)
2016-03-07 13:05

Test plan:
-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.
-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.
-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.
-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.
-Go to payment out and check the suppliers payments
-Go to payment out and check there are a salaries g/l item to F&B España, S.A. and F&B US, Inc ← Only if you have entered a payment, otherwise look at the Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.
-Go to g/l journal and check the lines
-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.
-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0084917)
hgbot (developer)
2016-03-11 15:35

Repository: erp/devel/pi
Changeset: 027d47e99e048841d566c4e9eb7c946ac863742e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Mar 02 18:35:15 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/027d47e99e048841d566c4e9eb7c946ac863742e [^]

Related to Issue 30639:Sample data (F&B International Group Client) for
3.0PR16Q2

Commited changed prior to inserting transactions

---
M referencedata/sampledata/F_B_International_Group/AD_CLIENT.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/M_PRODUCT.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_PROCESS_ACCESS.xml
---
(0084918)
hgbot (developer)
2016-03-11 15:35

Repository: erp/devel/pi
Changeset: daaa42c6f9e8161eee91b3cfea6ef8ebfa2fab0c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Mar 03 18:33:33 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/daaa42c6f9e8161eee91b3cfea6ef8ebfa2fab0c [^]

Fixes Issue 30639:Sample data (F&B International Group Client) for 3.0PR16Q2

Transactions created for Jan, Feb and Mar 2016 as per document "How to evolve
F&B"

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0084919)
aferraz (developer)
2016-03-11 15:37

Verified
(0085195)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085196)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-24 09:34 vmromanos New Issue
2015-08-24 09:34 vmromanos Assigned To => Triage Finance
2015-08-24 09:34 vmromanos Modules => Core
2015-08-24 09:34 vmromanos Triggers an Emergency Pack => No
2015-09-28 11:18 vmromanos Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-12-28 12:58 vmromanos Target Version 3.0PR16Q1 => 3.0PR16Q2
2016-03-01 12:59 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2016-03-01 12:59 AtulOpenbravo Status new => scheduled
2016-03-07 13:05 AtulOpenbravo Note Added: 0084773
2016-03-11 15:35 hgbot Checkin
2016-03-11 15:35 hgbot Note Added: 0084917
2016-03-11 15:35 hgbot Checkin
2016-03-11 15:35 hgbot Note Added: 0084918
2016-03-11 15:35 hgbot Status scheduled => resolved
2016-03-11 15:35 hgbot Resolution open => fixed
2016-03-11 15:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/daaa42c6f9e8161eee91b3cfea6ef8ebfa2fab0c [^]
2016-03-11 15:37 aferraz Review Assigned To => aferraz
2016-03-11 15:37 aferraz Note Added: 0084919
2016-03-11 15:37 aferraz Status resolved => closed
2016-03-11 15:37 aferraz Fixed in Version => 3.0PR16Q2
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085195
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085196


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker